Documentation · API reference
POST
/api/v1/sites/{site}/askPost ask
This page as Markdown, or in an AI chatMore ways to read this page
Ask the owners for a site of your account that you were not given.
# Post ask
> tidekeeper's API reference: https://tidekeeper.eu/docs/api/post-sites-site-ask
`POST /api/v1/sites/{site}/ask`
Ask the owners for a site of your account that you were not given.
## What to send
`AskAccess`: The page someone wanted when they were told they have no access.
- `page` (string)
## The answer
204
## Asking
```sh
curl -X POST https://tidekeeper.eu/api/v1/sites/example.org/ask \
-H "Authorization: Bearer $TIDEKEEPER_TOKEN" \
-H "Content-Type: application/json" \
-d '{}'
```
What to send
AskAccess The page someone wanted when they were told they have no access.
- page
- string
The answer
Status 204
Asking
curl -X POST https://tidekeeper.eu/api/v1/sites/example.org/ask \ -H "Authorization: Bearer $TIDEKEEPER_TOKEN" \ -H "Content-Type: application/json" \ -d '{}'
const answer = await fetch("https://tidekeeper.eu/api/v1/sites/example.org/ask", { method: "POST", headers: { Authorization: `Bearer ${process.env.TIDEKEEPER_TOKEN}`, "Content-Type": "application/json", }, body: JSON.stringify({}), }).then((r) => r.json());